### org.jfree.layouting.renderer.model.page

# Interface PageGrid

All Superinterfaces:
  Cloneable

Known Implementing Classes:
  DefaultPageGrid

`public interface PageGrid`
`extends Cloneable`

The page grid describes the logical page. That grid consists of PageGridAreas, which correspond to the usable content-PageArea. PageGridAreas are synchronized against each other - the smallest width or height defines the available column space. Modifications to PageAreas are only valid, if they are not locked.

Author:
  Thomas Morgner

  ## Method Summary

  `Object`

  `clone()`

  `int`

  `getColumnCount()`

  `PhysicalPageBox`

  `getPage(int row, int col)`

  `int`

  `getRowCount()`

## Method Details

### clone

    public Object clone()
                throws CloneNotSupportedException

### getColumnCount

    public int getColumnCount()

### getPage

    public PhysicalPageBox getPage(int row,
                                   int col)

### getRowCount

    public int getRowCount()